/* --------------------------------------------------------------------------
 * Copyright 1992 by Forschungszentrum Informatik (FZI)
 *
 * You can use and distribute this software under the terms of the licence
 * you should have received along with this program.
 * If not or if you want additional information, write to
 * Forschungszentrum Informatik, "STONE", Haid-und-Neu-Strasse 10-14,
 * D-7500 Karlsruhe 1, Germany.
 * --------------------------------------------------------------------------
 */
#include "cci_err.h"

const err_msg err_CCI_INC_LOAD_FAILED="incremental load failed";
const err_msg err_CCI_INC_LOAD_NOT_IMPL="incremental load not implemented";
const err_msg err_CCI_INVALID_MAKE="invalid make";
const err_msg err_CCI_INVALID_METHOD="invalid method";
const err_msg err_CCI_LINK_FAILED="incremental load: ln failed";
const err_msg err_CCI_LOAD_FAILED="incremental load: ld failed";
const err_msg err_CCI_MKEXEC_FAILED="incremental load: failure in making code executable";
const err_msg err_CCI_MOVE_FAILED="incremental load: mv failed";
const err_msg err_CCI_NOT_INITIALIZED="incremental load: SOS not initialized";
const err_msg err_CCI_OPEN_FAILED="incremental load: open failed";
const err_msg err_CCI_READ_FAILED="incremental load: read failed";
const err_msg err_CCI_READ_HEADER_FAILED="incremental load: read header failed";
const err_msg err_CCI_SEEK_FAILED="incremental load: seek failed";
const err_msg err_CCI_UNKNOWN_SCHEMA="unknown schema in dependency list";
const err_msg err_CCI_WRITE_FAILED="incremental load: write failed";
const err_msg err_CCI_WRONG_INIT="SOSINCLOAD usage: +|- <linker> <startup_module> <stdlibs>...";

const err_msg err_SIL_NO_SCHEMA="no such schema";
const err_msg err_SIL_USAGE="usage: sil <schema> [-a <file>...] [-p] [-l] [-r]";
